## com.sun.grizzly.connectioncache.spi.concurrent
Interface ConcurrentQueue.Handle<V>

Enclosing interface:
  ConcurrentQueue<V>

    public static interface ConcurrentQueue.Handle<V>

A Handle provides the capability to delete an element of a ConcurrentQueue very quickly. Typically, the handle is stored in the element, so that an element located from another data structure can be quickly deleted from a ConcurrentQueue.

Method Summary
`boolean` `remove()` Delete the element corresponding to this handle from the queue.
`V` `value()` Return the value that corresponds to this handle.

Method Detail

### value

    V value()

  Return the value that corresponds to this handle.

  Returns:
    value that corresponds to this handle

### remove

    boolean remove()

  Delete the element corresponding to this handle from the queue. Takes constant time. Returns true if the removal succeeded, or false if it failed. which can occur if another thread has already called poll or remove on this element.

  Returns:
    true if the removal succeeded, or false if it failed

Copyright © 2008 SUN Microsystems. All Rights Reserved.